# GenericDocumentWrapper class abstract

Implementers
  - AAMVA
  - AAMVADLID
  - AAMVAMotorCarrierData
  - AAMVARawDocument
  - AAMVARegistrantAndVehicleData
  - AAMVARegistrationData
  - AAMVATitleData
  - AAMVAVehicleData
  - AAMVAVehicleOwnerData
  - AAMVAVehicleSafetyInspectionData
  - BoardingPass
  - BoardingPassLeg
  - Check
  - DeDriverLicenseBack
  - DeDriverLicenseBackCategories
  - DeDriverLicenseBackCategory
  - DeDriverLicenseFront
  - DeHealthInsuranceCardFront
  - DeIdCardBack
  - DeIdCardFront
  - DEMedicalPlan
  - DEMedicalPlanDoctor
  - DEMedicalPlanPatient
  - DEMedicalPlanSubheading
  - DEMedicalPlanSubheadingMedicine
  - DEMedicalPlanSubheadingMedicineSubstance
  - DEMedicalPlanSubheadingPrescription
  - DePassport
  - DeResidencePermitBack
  - DeResidencePermitFront
  - EuropeanHealthInsuranceCard
  - GS1
  - GS1Element
  - GS1ElementValidationError
  - IDCardPDF417
  - MedicalCertificate
  - MRZ
  - SEPA
  - SwissQR
  - VCard
  - VCardEntry

## Constructors

GenericDocumentWrapper(GenericDocument document)

## Properties

document → GenericDocument
  final
hashCode → int
  The hash code for this object.
  no setter inherited
requiredDocumentType → String
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited